CREATE TABLE IF NOT EXISTS `ignor` (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `user_id` int(255) NOT NULL DEFAULT '0',
  `ig_id` int(255) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`),
  KEY `ig_id` (`ig_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

CREATE TABLE IF NOT EXISTS `friends` (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `user_id` int(255) NOT NULL DEFAULT '0',
  `fr_id` int(255) NOT NULL DEFAULT '0',
  `yes` int(255) NOT NULL DEFAULT '0',
  `no` int(255) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`),
  KEY `fr_id` (`fr_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;



CREATE TABLE IF NOT EXISTS `messages` (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `users` varchar(255) NOT NULL DEFAULT '',
  `time` int(255) NOT NULL DEFAULT '0',
  `cols` int(255) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 PACK_KEYS=0 AUTO_INCREMENT=9 ;


CREATE TABLE IF NOT EXISTS `mess_dialog` (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `user_id` int(255) NOT NULL DEFAULT '0',
  `users` varchar(255) NOT NULL DEFAULT '',
  `msg` blob NOT NULL,
  `time` int(255) NOT NULL DEFAULT '0',
  `spam` tinyint(1) NOT NULL DEFAULT '0',
  `kept` tinyint(1) NOT NULL DEFAULT '0',
  `fail` text NOT NULL,
  `fails` text NOT NULL,
  `dialog` int(255) NOT NULL DEFAULT '0',
  `del_id` int(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=82 ;


CREATE TABLE IF NOT EXISTS `mess_read` (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `user_id` int(255) NOT NULL DEFAULT '0',
  `mess_id` int(255) NOT NULL DEFAULT '0',
  `dialog` int(255) NOT NULL DEFAULT '0',
  `show_vk` int(1) DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 PACK_KEYS=0 AUTO_INCREMENT=100 ;


CREATE TABLE IF NOT EXISTS `mess_users` (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `user_id` int(255) NOT NULL DEFAULT '0',
  `dialog` int(255) NOT NULL DEFAULT '0',
  `aut` int(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 PACK_KEYS=0 AUTO_INCREMENT=21 ;



CREATE TABLE IF NOT EXISTS `categorii` (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `name` text NOT NULL,
  `name_lat` text NOT NULL,
    `abaut` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;



CREATE TABLE `sites` (
  `id` int(11) NOT NULL auto_increment,
  `url` text NOT NULL,
  `name` text NOT NULL,
  `key` text NOT NULL,
  `abaut` text NOT NULL,
   `title` text NOT NULL,
  `time_add` int(10) NOT NULL,
  `user_id` int(10) NOT NULL,
  `keywords` text NOT NULL,
  `description` text NOT NULL,
  `google_index` text NOT NULL,
  `google_link` text NOT NULL,
  `google_pr` text NOT NULL,
  `google_blog` text NOT NULL,
  `yandex_index` text NOT NULL,
  `yandex_link` text NOT NULL,
  `yandex_rank` text NOT NULL,
  `yandex_cy` text NOT NULL,
  `yandex_cat` text NOT NULL,
  `bing_index` text NOT NULL,
  `bing_link` text NOT NULL,
  `yahoo_index` text NOT NULL,
  `yahoo_link` text NOT NULL,
  `rambler_link` text NOT NULL,
  `dmoz` text NOT NULL,
  `number` text NOT NULL,
  `alexa` text NOT NULL,
  `time` int(10) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

ALTER TABLE `sites` ADD `web` int(200) NOT NULL default '0';


ALTER TABLE `users` ADD `heartsites` text NOT NULL;

ALTER TABLE `sites` ADD `cat` text NOT NULL;
ALTER TABLE `sites` ADD `meta_h1` int(10) NOT NULL;

ALTER TABLE `sites` ADD `prosmotr` int(10) NOT NULL;
ALTER TABLE `sites` ADD `vote` int(200) NOT NULL default '0';
ALTER TABLE `sites` ADD `votes` int(200) NOT NULL default '0';

CREATE TABLE `vote` (
  `id` int(20) NOT NULL auto_increment,
  `site` int(20) NOT NULL default '0',
  `vote_ip` text NOT NULL,
  `time` int(10) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 PACK_KEYS=0 AUTO_INCREMENT=0 ;


--
--   `in_ulogin`
--

CREATE TABLE IF NOT EXISTS `in_ulogin` (
  `id` int(255) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(255) unsigned NOT NULL,
  `uid` varchar(255) NOT NULL,
  `email` varchar(255) DEFAULT NULL,
  `seed` varchar(255) NOT NULL,
  `in_network` varchar(250) NOT NULL DEFAULT '',
  `identity` varchar(250) NOT NULL DEFAULT '',
  `first_name` varchar(250) NOT NULL DEFAULT '',
  `last_name` varchar(250) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 PACK_KEYS=0 AUTO_INCREMENT=6 ;

-- --------------------------------------------------------

--
--   `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `user` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `pass` varchar(500) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `name` varchar(30) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `sex` int(1) NOT NULL DEFAULT '1',
  `city` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `country` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `mail` varchar(50) NOT NULL DEFAULT '',
  `icq` varchar(30) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `skype` varchar(50) NOT NULL,
  `jabber` varchar(50) NOT NULL,
  `day` int(255) NOT NULL DEFAULT '0',
  `month` int(255) NOT NULL DEFAULT '0',
  `year` int(5) NOT NULL DEFAULT '0',
  `site` varchar(30) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `about` text NOT NULL,
  `xobbi` text NOT NULL,
  `mobtel` varchar(30) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `umeniya` tinyint(1) NOT NULL DEFAULT '0',
  `umeniya2` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `hometel` varchar(30) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `total_on_site` int(255) NOT NULL DEFAULT '0',
  `sestime` int(15) NOT NULL DEFAULT '0',
  `url` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `style` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT 'shaxty',
  `xstatus` tinyint(1) NOT NULL DEFAULT '1',
  `photo` varchar(200) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `vis` varchar(200) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `vote_us` int(255) NOT NULL DEFAULT '0',
  `vote_photo` int(200) NOT NULL DEFAULT '0',
  `translit` tinyint(1) NOT NULL DEFAULT '0',
  `visit` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `ruser` varchar(30) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `onl` int(255) NOT NULL DEFAULT '0',
  `posts` int(255) NOT NULL DEFAULT '0',
  `postsf` int(255) NOT NULL DEFAULT '0',
  `postsk` int(255) NOT NULL DEFAULT '0',
  `postsg` int(255) NOT NULL DEFAULT '0',
  `postsc` int(255) NOT NULL DEFAULT '0',
  `fo_files` int(255) NOT NULL DEFAULT '0',
  `status` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT 'User',
  `date` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `timereg` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `max` int(255) NOT NULL DEFAULT '10',
  `max_pr` int(255) NOT NULL DEFAULT '5',
  `pole1` int(255) NOT NULL DEFAULT '2',
  `pole2` int(255) NOT NULL DEFAULT '20',
  `pic_stat` int(255) NOT NULL DEFAULT '1',
  `level` int(6) NOT NULL DEFAULT '0',
  `user_ip` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `user_soft` varchar(200) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `inv` tinyint(1) NOT NULL DEFAULT '0',
  `avtootvet` blob NOT NULL,
  `dayp` int(255) NOT NULL DEFAULT '0',
  `myavatar` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `rur` int(255) NOT NULL DEFAULT '0',
  `color_nik` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `effnik` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `odobr` int(255) NOT NULL DEFAULT '0',
  `odobr_who` int(255) NOT NULL DEFAULT '0',
  `razd` tinyint(255) NOT NULL DEFAULT '1',
  `upfp` tinyint(255) NOT NULL DEFAULT '0',
  `forma` tinyint(255) NOT NULL DEFAULT '1',
  `redp` tinyint(255) NOT NULL DEFAULT '1',
  `formf` tinyint(255) NOT NULL DEFAULT '1',
  `sizep` int(255) NOT NULL DEFAULT '512',
  `diaries` int(255) NOT NULL DEFAULT '0',
  `viz` int(255) NOT NULL DEFAULT '0',
  `dd` int(255) NOT NULL DEFAULT '1',
  `emo` int(255) NOT NULL DEFAULT '1',
  `color` int(255) NOT NULL DEFAULT '1',
  `softk` int(255) NOT NULL DEFAULT '0',
  `polevv` int(255) NOT NULL DEFAULT '2',
  `nahod` tinyint(1) NOT NULL DEFAULT '0',
  `scripts_files` int(255) NOT NULL DEFAULT '0',
  `regday` varchar(100) NOT NULL DEFAULT '',
  `rest_time` int(255) NOT NULL DEFAULT '0',
  `rest_code` varchar(200) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `gazeta` int(1) NOT NULL DEFAULT '0',
  `gazetas` int(200) NOT NULL DEFAULT '0',
  `creditsingame` int(255) NOT NULL DEFAULT '0',
  `mafcredits` int(255) NOT NULL DEFAULT '0',
  `forum_luch` int(255) NOT NULL DEFAULT '0',
  `forum_xud` int(255) NOT NULL DEFAULT '0',
  `forum_pr` int(255) unsigned NOT NULL DEFAULT '0',
  `forum_ava` int(255) unsigned NOT NULL DEFAULT '0',
  `forum_pp` int(255) unsigned NOT NULL DEFAULT '0',
  `users_bbpanel` int(255) unsigned NOT NULL DEFAULT '0',
  `email_pass_yes` int(255) NOT NULL DEFAULT '0',
  `email_pass` varchar(30) DEFAULT NULL,
  `email_session` varchar(100) DEFAULT NULL,
  `email_time` varchar(50) DEFAULT NULL,
  `vopros_pass` varchar(30) DEFAULT NULL,
  `otvet_pass` varchar(100) DEFAULT NULL,
  `mod_for` int(255) NOT NULL DEFAULT '0',
  `moder_razd` varchar(30) DEFAULT NULL,
  `antispam` int(255) NOT NULL,
  `mod_id` int(255) NOT NULL DEFAULT '0',
  `colornick` text NOT NULL,
  `blogs` text NOT NULL,
  `adres` varchar(250) NOT NULL DEFAULT '',
  `forpage` varchar(30) NOT NULL,
  `region` int(255) NOT NULL,
  `privatn` int(255) NOT NULL,
  `sneg` int(255) NOT NULL,
  `users_bbpnel` int(255) NOT NULL,
  `p_verk` int(255) NOT NULL,
  `p_kd` int(255) NOT NULL,
  `p_file` int(255) NOT NULL,
  `bbpnel` int(255) NOT NULL,
  `p_locs` int(255) NOT NULL,
  `ip_histr` int(255) NOT NULL,
  `lost_pass` int(255) NOT NULL,
  `ip_edit` int(255) NOT NULL,
  `ip_bloced` text NOT NULL,
  `p_sort` int(255) NOT NULL,
  `lost_pass_vo` int(255) NOT NULL,
  `lost_pass_m` int(255) NOT NULL,
  `lost_pass_wm` int(255) NOT NULL,
  `garant` int(1) NOT NULL DEFAULT '0',
  `for_t_aut` int(1) NOT NULL DEFAULT '3',
  `zc_f_aut` int(1) NOT NULL DEFAULT '3',
  `billing_vo` int(255) NOT NULL,
  `login_id` int(1) NOT NULL DEFAULT '1',
  `style_web` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT 'WEB',
  `style_ver` int(1) NOT NULL DEFAULT '2',
  `statp` varchar(250) NOT NULL DEFAULT '...',
  `statp_time` int(11) NOT NULL DEFAULT '0',
  `in_network` varchar(250) NOT NULL DEFAULT '',
  `in_uid` varchar(250) NOT NULL DEFAULT '',
  `in_seed` varchar(250) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;


